[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Heads Up: e2fsprogs library split-out



>> Eric Sandeen (sandeen redhat com) said:
>>> libcom_err(-devel)
>>> libss(-devel)
>>> libuuid(-devel)
>>>
>>> Note that libblkid(-devel) has already been split out as it is now part
>>> of util-linux-ng (thanks to kzak!) - an email was sent previously about
>>> that.
>>>
>>> The following packages have BuildRequires: on e2fsprogs-devel, so
>>> depending on what libs they required from the package, they may need to
>>> shift to one of these new subpackages when they go in (hopefully today
>>> or tomorrow).  I'll send another follow-up mail when it's done.
>>
>> Any chance that in the interim, e2fsprogs-devel could Require: these
>> new split out packages (if it doesn't already)?
>
> For now it only requires libcom_err-devel, from inspection it looks like
> that's the only set of headers that the e2fsprogs-devel headers include ...
>
> I could do this though - but when would it get removed again; would it
> be better to go with the short sharp shock and just clean it up in the
> early phase of F12? :)

At the very least any breakage of the build would be picked up as part
of the mass rebuild.

Peter


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]